summaryrefslogtreecommitdiffstats
path: root/tests/data_plane/vpp_lite_topo/test_driver/smr_rtr_disjoint.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/data_plane/vpp_lite_topo/test_driver/smr_rtr_disjoint.sh')
-rw-r--r--tests/data_plane/vpp_lite_topo/test_driver/smr_rtr_disjoint.sh37
1 files changed, 6 insertions, 31 deletions
diff --git a/tests/data_plane/vpp_lite_topo/test_driver/smr_rtr_disjoint.sh b/tests/data_plane/vpp_lite_topo/test_driver/smr_rtr_disjoint.sh
index f03c199..cec65a1 100644
--- a/tests/data_plane/vpp_lite_topo/test_driver/smr_rtr_disjoint.sh
+++ b/tests/data_plane/vpp_lite_topo/test_driver/smr_rtr_disjoint.sh
@@ -35,54 +35,29 @@ function test_smr_rtr_disjoint {
# CONFIGURE
smr_rtr_disjoint_setup
- if [ "$2" == "wait" ] ; then
- read -p "press any key to continue .." -n1
- fi
+ maybe_pause
test_result=1
rc=0
# TEST IP6 over IP4
test_ns_ping $1 vpp1-ns
+ assert_rc_ok $? smr_rtr_disjoint_clean "No icmp received!"
- rc=$?
-
- if [ $rc -ne 0 ] ; then
- echo "IPv6 over IPv4 test failed: No ICMP response received within specified timeout limit!"
- else
- echo "IPv6 over IPv4 test passed."
- test_result=0
- fi
-
- if [ "$2" == "wait" ] ; then
- read -p "press any key to continue .." -n1
- fi
+ maybe_pause
# RECONFIGURE
smr_rtr_disjoint_reconfigure
- if [ "$2" == "wait" ] ; then
- read -p "Forwarding reconfigured press any key to continue .." -n1
- fi
+ maybe_pause
# TEST IP6 over disjoint IP4 and IP6 underlay
test_ns_ping $1 vpp1-ns
-
rc=$?
- if [ $rc -ne 0 ] ; then
- echo "SMR + disjoint locators test failed: No ICMP response received within specified timeout limit!"
- else
- echo "SMR + disjoint locators test passed."
- test_result=0
- fi
-
- if [ "$2" == "wait" ] ; then
- read -p "press any key to continue .." -n1
- fi
-
+ maybe_pause
# CLEANUP
smr_rtr_disjoint_clean
-
+ print_status $rc "No ICMP response!"
exit $test_result
}